# Generated from wykop-0.6.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name wykop

Name: rubygem-%{gem_name}
Version: 0.6.1
Release: 1%{?dist}
Summary: Ruby client library for wykop.pl API
License: MIT
URL: https://github.com/lukaszraczylo/wykop-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.2
# BuildRequires: rubygem(awesome_print) >= 1.2.0
# BuildRequires: rubygem(awesome_print) < 1.3
# BuildRequires: rubygem(awesome_print) >= 1.2.0
# BuildRequires: rubygem(httparty) >= 0.13.3
# BuildRequires: rubygem(httparty) < 0.14
# BuildRequires: rubygem(httparty) >= 0.13.3
# BuildRequires: rubygem(json) >= 1.8.1
# BuildRequires: rubygem(json) < 1.9
# BuildRequires: rubygem(json) >= 1.8.1
# BuildRequires: rubygem(rspec) >= 2.6
# BuildRequires: rubygem(rspec) < 3
BuildArch: noarch

%description
Provides easy way to interact with the Wykop.pl API in any kind of
application.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/TODO.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/Contributors.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/doc
%{gem_instdir}/spec
%{gem_instdir}/wykop.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.6.1-1
- Initial package
